/*
  File: Lookit.h
  Authors: Eric Bergerson & Matt Jacobus
  Modification History:

  Created 10/12/90

  Copyright (c) 1990 Objective Technologies, Inc.
  All Rights Reserved.
*/
#define CELLTYPES 6

#import <appkit/Application.h>

@interface Lookit: Application
{
  id oTDataMngr;
  id oTGraph;
  id oTLegend;
  id path;

  id graphX;
  id graphY;
  id dataX;
  id dataY;

  id cells[CELLTYPES];

  id scrollView;
  id axisValueField;
  id axisMatrix;
  id titleF;

  id myCursor;
  id myPoint;
  BOOL crossLives;
  BOOL lineOn;
  NXRect lineFrame;

  id globalDataMngr;
  NXPoint where;
  NXRect whereFrame;
  BOOL lit;
  BOOL graphEnabled;
}

+ new;
- free;
- setOTDataMngr:anObject;
- setOTGraph:anObject;
- setOTLegend:anObject;
- setScrollView:anObject;
- setAxisValueField:anObject;
- setAxisMatrix:anObject;
- setTitleF:anObject;

- Open:sender;
- readFromFile:sender;


- setGraphX:anObject;
- setGraphY:anObject;
- setDataX:anObject;
- setDataY:anObject;

- mouseEventDidOccur: sender;
- updatePosition: sender;
- attachLocation: sender;
- trackAxis: sender;

- listRangeValues: sender;

- setGraphCellType: sender;
- enableAxis: sender;
- takeWidthFrom: sender;

- examineSingleRange: sender;
- examineAllRanges: sender;
- displayAll;

@end
