/*
  File: Ticker.h
  Authors: Matt Jacobus
  Modification History:

  Copyright (c) 1991 Objective Technologies, Inc.
  All Rights Reserved.
*/

#import <objc/Object.h>
#import <dpsclient/dpsclient.h>

@interface Ticker: Object
{
  DPSTimedEntry teNumber;
  BOOL entryExists;
  double tickProb;
  double delta;
  double high, low, close, volume;
  id delegate;
}

+new;

- stopTicks;
- changeTickPeriod:(double)newPeriod;

- generateData;

- setTickProb:(double) aTickProb;

- setDelta:(double) aDelta;

- setHigh:(double) aHigh;

- setLow:(double) aLow;

- setVolume:(double) aVolume;

- setClose:(double) aClose;

- setDelegate:anObject;
- delegate;
- (double) high;
- (double) low;
- (double) closeP;
- (double) volume;
- (double) tickProb;

@end
